Subject: Re: [PATCH] gitweb.js: Harden setting blamed commit info in incremental blame

From: Jakub Narebski <[email-masked]>
Date: Wed, 25 Nov 2009 15:36:07 +0100

On Wed, 25 Nov 2009 05:01, Stephen Boyd wrote:
> Jakub Narebski wrote:
> >
> > Debugging this is serious PITA.  After fix below it appears that this bug
> > is some intermittent bug, depending on XMLHttpRequest timing.  It more
> > often than not (at least when I tried to debug it using build-in IE8
> > debugger) works correctly for the folowing files: README, GIT-VERSION-GEN,
> > revision.c (once even it did fail when first running for given file, and
> > then running correctly when reloading from debugger; fun it is not).
> >
> > It does consistently fail for gitweb/gitweb.perl... but when I tried
> > to debug it IE8 would hang up when trying to use debugger (with around
> > 600MB available RAM).  Perhaps somebody else would have more luck...
> 
> Interesting. I don't have time to look into this until early December, 
> but if it's still around then I'll take a look. I wonder if IE6 or IE7 
> works (I don't think everyone is on version 8 yet).

Well, the one time I was able to run debugger (F12, select 'Script', select
'gitweb.js') with error occurring and without IE hanging (for README file)
it did show an error for the following line:

  if (xhr.readyState === 3 && xhr.status !== 200) {

When I checked 'xhr' object, it has "Unknown error" as contents of 
xhr.statusText field and as contents of xhr.status (sic!), which should
be a number: HTTP status code.

Unfortunately I had to take a break... and I was not able to reproduce this
(without hanging web browser: "program not responding") since then...

-- 
Jakub Narebski
Poland